﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Nextbit.JadeRealState.Services.DataContexts;

namespace Nextbit.JadeRealState.Services.Migrations
{
    [DbContext(typeof(RealStateContext))]
    [Migration("20200207200435_AddReserveDetailTable-2")]
    partial class AddReserveDetailTable2
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.0-rtm-35687")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Builders.BuilderCompany", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Address")
                        .HasColumnName("Address")
                        .HasMaxLength(500)
                        .IsUnicode(false);

                    b.Property<string>("BusinessName")
                        .HasColumnName("BusinessName")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("ContactNumber")
                        .HasColumnName("ContactNumber")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("ElectronicAddresses")
                        .HasColumnName("ElectronicAddresses")
                        .HasMaxLength(150)
                        .IsUnicode(false);

                    b.Property<string>("Email")
                        .HasColumnName("Email")
                        .HasMaxLength(500)
                        .IsUnicode(false);

                    b.Property<string>("IdNumber")
                        .HasColumnName("IdNumber")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("Owner")
                        .HasColumnName("Owner")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("OwnerContactNumber")
                        .HasColumnName("OwnerContactNumber")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(8)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("BuilderCompany");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Clients.Client", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("CellPhoneNumber")
                        .HasColumnName("CellPhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<int?>("ClientCategoryId");

                    b.Property<string>("CoDebtorCellPhoneNumber")
                        .HasColumnName("CoDebtorCellPhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorCurrency")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CoDebtorCurrency")
                        .HasMaxLength(10)
                        .IsUnicode(false)
                        .HasDefaultValue("LPS");

                    b.Property<string>("CoDebtorEmail")
                        .HasColumnName("CoDebtorEmail")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorFirstName")
                        .HasColumnName("CoDebtorFirstName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorFirstSurname")
                        .HasColumnName("CoDebtorFirstSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<decimal>("CoDebtorGrossMonthlyIncome");

                    b.Property<string>("CoDebtorIdentificationCard")
                        .HasColumnName("CoDebtorIdentificationCard")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorMiddleName")
                        .HasColumnName("CoDebtorMiddleName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<int?>("CoDebtorNationalityId");

                    b.Property<string>("CoDebtorPhoneNumber")
                        .HasColumnName("CoDebtorPhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorSecondSurname")
                        .HasColumnName("CoDebtorSecondSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorWorkplace");

                    b.Property<string>("Comments");

                    b.Property<int?>("ContactTypeId");

                    b.Property<int>("ContactedByTypeId");

                    b.Property<bool>("ContributeToRap");

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CreditOfficer")
                        .HasColumnName("CreditOfficer")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("DebtorCurrency")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasColumnName("DebtorCurrency")
                        .HasMaxLength(10)
                        .IsUnicode(false)
                        .HasDefaultValue("LPS");

                    b.Property<string>("Email")
                        .HasColumnName("Email")
                        .HasMaxLength(128)
                        .IsUnicode(false);

                    b.Property<int?>("FinancialInstitutionId");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnName("FirstName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("FirstSurname")
                        .IsRequired()
                        .HasColumnName("FirstSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<decimal>("GrossMonthlyIncome");

                    b.Property<string>("HomeAddress")
                        .HasColumnName("HomeAddress")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("IdentificationCard")
                        .HasColumnName("IdentificationCard")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("MiddleName")
                        .HasColumnName("MiddleName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<int?>("NationalityId");

                    b.Property<int?>("NationalityId1");

                    b.Property<bool>("OwnHome");

                    b.Property<string>("PhoneNumber")
                        .HasColumnName("PhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<int?>("ProjectId");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<int?>("SalesAdvisorId");

                    b.Property<string>("SecondSurname")
                        .HasColumnName("SecondSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.Property<string>("Workplace");

                    b.HasKey("Id");

                    b.HasIndex("ClientCategoryId");

                    b.HasIndex("CoDebtorNationalityId");

                    b.HasIndex("ContactTypeId");

                    b.HasIndex("FinancialInstitutionId");

                    b.HasIndex("NationalityId");

                    b.HasIndex("NationalityId1");

                    b.HasIndex("ProjectId");

                    b.HasIndex("SalesAdvisorId");

                    b.ToTable("Clients");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.ClientsLevel.ClientLevel", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Comment")
                        .HasColumnName("Comment")
                        .HasMaxLength(150)
                        .IsUnicode(false);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(150)
                        .IsUnicode(false);

                    b.Property<string>("Level")
                        .IsRequired()
                        .HasColumnName("Level")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("ClientLevels");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.ClientsTracking.ClientTracking", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ClientId")
                        .HasColumnName("ClientId")
                        .IsUnicode(false);

                    b.Property<string>("Comentarios")
                        .HasColumnName("Comentarios")
                        .HasMaxLength(500)
                        .IsUnicode(false);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("Estado")
                        .HasColumnName("Estado")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime?>("FechaCita")
                        .HasColumnName("FechaCita")
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<int>("Orden")
                        .HasColumnName("Orden")
                        .IsUnicode(false);

                    b.Property<int>("ProcesoId")
                        .HasColumnName("ProcesoId")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<int>("TipoServicioId")
                        .HasColumnName("TipoServicioId")
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.HasIndex("ClientId");

                    b.ToTable("ClientsTracking");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.ContactTypes.ContactType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("ContactTypes");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.FinancialInstitutions.FinancialInstitution", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Address");

                    b.Property<string>("BusinessName");

                    b.Property<string>("ContactNumber");

                    b.Property<DateTime>("CreationDate");

                    b.Property<string>("CrudOperation");

                    b.Property<string>("Description");

                    b.Property<string>("ElectronicAddresses");

                    b.Property<string>("Email");

                    b.Property<string>("ModifiedBy");

                    b.Property<string>("Name");

                    b.Property<string>("RTN");

                    b.Property<DateTime?>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate();

                    b.Property<string>("Status");

                    b.Property<DateTime>("TransactionDate");

                    b.Property<string>("TransactionType");

                    b.Property<Guid>("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("FinancialInstitutions");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.HouseDesigns.HouseDesign", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("HouseSpecifications")
                        .HasColumnName("HouseSpecifications")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<int>("ProjectId")
                        .HasColumnName("ProjectId");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(8)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("HouseDesign");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Nationalities.Nationality", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("Nationalities");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.NegotiationPhases.NegotiationPhase", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Comment")
                        .HasColumnName("Comment")
                        .HasColumnType("longtext")
                        .IsUnicode(false);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime?>("Date")
                        .HasColumnName("Date")
                        .IsUnicode(false);

                    b.Property<DateTime?>("DateComplete")
                        .HasColumnName("DateComplete")
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<int>("NegotiationId");

                    b.Property<int>("Order")
                        .HasColumnName("Order")
                        .IsUnicode(false);

                    b.Property<int>("ProcessId");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(150)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.HasIndex("NegotiationId");

                    b.HasIndex("ProcessId");

                    b.ToTable("NegotiationPhases");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Negotiations.Negotiation", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ActualWorkPlace")
                        .HasColumnName("ActualWorkPlace")
                        .HasMaxLength(150)
                        .IsUnicode(false);

                    b.Property<int>("ClientId");

                    b.Property<string>("CoDebtorCellPhoneNumber")
                        .HasColumnName("CoDebtorCellPhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorCurrency")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CoDebtorCurrency")
                        .HasMaxLength(10)
                        .IsUnicode(false)
                        .HasDefaultValue("LPS");

                    b.Property<string>("CoDebtorEmail")
                        .HasColumnName("CoDebtorEmail")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorFirstName")
                        .HasColumnName("CoDebtorFirstName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorFirstSurname")
                        .HasColumnName("CoDebtorFirstSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<decimal>("CoDebtorGrossMonthlyIncome");

                    b.Property<string>("CoDebtorIdentificationCard")
                        .HasColumnName("CoDebtorIdentificationCard")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorMiddleName")
                        .HasColumnName("CoDebtorMiddleName")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<int?>("CoDebtorNationalityId");

                    b.Property<string>("CoDebtorPhoneNumber")
                        .HasColumnName("CoDebtorPhoneNumber")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorSecondSurname")
                        .HasColumnName("CoDebtorSecondSurname")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CoDebtorWorkplace")
                        .HasColumnName("CoDebtorWorkplace")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("Comments")
                        .HasColumnName("Comments")
                        .HasColumnType("longtext")
                        .IsUnicode(false);

                    b.Property<int?>("ContactTypeId");

                    b.Property<bool>("ContributeToRap")
                        .HasColumnName("ContributeToRap")
                        .IsUnicode(false);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CreditOfficer")
                        .HasColumnName("CreditOfficer")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Currency")
                        .HasColumnName("Currency")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<int?>("FinancialInstitutionId");

                    b.Property<decimal>("GrossMonthlyIncome");

                    b.Property<string>("HomeAddress")
                        .HasColumnName("HomeAddress")
                        .HasMaxLength(256)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<DateTime>("NegotiationStartDate")
                        .HasColumnName("NegotiationStartDate");

                    b.Property<bool>("OwnHome")
                        .HasColumnName("OwnHome")
                        .IsUnicode(false);

                    b.Property<int?>("ProjectId");

                    b.Property<int>("ReserveId");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<int?>("SalesAdvisorId");

                    b.Property<int?>("ServiceId");

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.Property<DateTime?>("WorkStartDate")
                        .HasColumnName("WorkStartDate");

                    b.HasKey("Id");

                    b.HasIndex("ClientId");

                    b.HasIndex("CoDebtorNationalityId");

                    b.HasIndex("ContactTypeId");

                    b.HasIndex("FinancialInstitutionId");

                    b.HasIndex("ProjectId");

                    b.HasIndex("SalesAdvisorId");

                    b.HasIndex("ServiceId");

                    b.ToTable("Negotiations");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Origins.Origin", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(8)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("Origins");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Projects.Project", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Address")
                        .HasColumnName("Address")
                        .HasMaxLength(500)
                        .IsUnicode(false);

                    b.Property<string>("City")
                        .HasColumnName("City")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("Country")
                        .HasColumnName("Country")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("State")
                        .IsRequired()
                        .HasColumnName("State")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("Projects");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Prospects.Prospect", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Comments");

                    b.Property<string>("ContactNumberOne")
                        .HasColumnName("ContactNumberOne")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("ContactNumberTwo")
                        .HasColumnName("ContactNumberTwo")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<int>("ContactType")
                        .HasColumnName("ContactType");

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Email")
                        .HasColumnName("Email")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("IdNumber")
                        .HasColumnName("IdNumber")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<int>("ProjectId")
                        .HasColumnName("ProjectId");

                    b.Property<DateTime>("RegisterDate")
                        .HasColumnName("RegisterDate");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<int?>("SalesAdvisorId");

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(8)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionOrigin")
                        .HasColumnName("TransactionOrigin")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.HasIndex("ContactType");

                    b.HasIndex("ProjectId");

                    b.HasIndex("SalesAdvisorId");

                    b.ToTable("Prospects");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Reservas.Reserve", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Address")
                        .HasColumnName("Address")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<int>("AmountOfPayments")
                        .HasColumnName("AmountOfPayments");

                    b.Property<string>("Block")
                        .HasColumnName("Block")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<int?>("ClientId");

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<int>("LotNumber")
                        .HasColumnName("LotNumber");

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<int>("NegotiationId")
                        .HasColumnName("NegotiationId");

                    b.Property<int?>("ProjectId");

                    b.Property<string>("ReserveStatus");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<int>("SalesAdvisorId")
                        .HasColumnName("SalesAdvisorId");

                    b.Property<decimal>("TotalAmount")
                        .HasColumnName("TotalAmount")
                        .HasColumnType("decimal(18, 9)");

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.Property<string>("Zone")
                        .HasColumnName("Zone")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.HasKey("Id");

                    b.HasIndex("ClientId");

                    b.HasIndex("NegotiationId")
                        .IsUnique();

                    b.HasIndex("ProjectId");

                    b.HasIndex("SalesAdvisorId");

                    b.ToTable("Reserves");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Reservas.ReserveDetail", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("Active")
                        .HasColumnName("Active");

                    b.Property<string>("Comment")
                        .HasColumnName("Comment")
                        .HasMaxLength(250);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("Date")
                        .HasColumnName("Date");

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<decimal>("Payment")
                        .HasColumnName("Payment")
                        .HasColumnType("decimal(18, 9)");

                    b.Property<int>("ReserveId")
                        .HasColumnName("ReserveId");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.HasIndex("ReserveId");

                    b.ToTable("ReservesDetail");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.ServicesTracking.ServiceTracking", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("ClientId");

                    b.Property<string>("Comments");

                    b.Property<DateTime>("CreationDate");

                    b.Property<string>("CrudOperation");

                    b.Property<string>("ModifiedBy");

                    b.Property<DateTime?>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate();

                    b.Property<string>("Status");

                    b.Property<int>("SupplierServiceId");

                    b.Property<DateTime>("TransactionDate");

                    b.Property<string>("TransactionType");

                    b.Property<Guid>("TransactionUId");

                    b.HasKey("Id");

                    b.HasIndex("ClientId");

                    b.HasIndex("SupplierServiceId");

                    b.ToTable("ServicesTracking");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.ServicesTracking.ServiceTrackingItem", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Comments");

                    b.Property<DateTime?>("CompletedDate");

                    b.Property<DateTime>("CreationDate");

                    b.Property<string>("CrudOperation");

                    b.Property<string>("ModifiedBy");

                    b.Property<string>("Name");

                    b.Property<int>("Order");

                    b.Property<DateTime?>("ReminderDate");

                    b.Property<DateTime?>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate();

                    b.Property<int?>("SalesAdvisorId");

                    b.Property<int>("ServiceTrackingId");

                    b.Property<string>("Status");

                    b.Property<DateTime>("TransactionDate");

                    b.Property<string>("TransactionType");

                    b.Property<Guid>("TransactionUId");

                    b.HasKey("Id");

                    b.HasIndex("SalesAdvisorId");

                    b.HasIndex("ServiceTrackingId");

                    b.ToTable("ServiceTrackingItem");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.SupplierServices.ServiceProcess", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<int>("Order")
                        .HasColumnName("Order");

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<int>("SupplierServiceId")
                        .HasColumnName("SupplierServiceId");

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.HasIndex("SupplierServiceId");

                    b.ToTable("ServiceProcesses");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.SupplierServices.SupplierService", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .HasColumnName("Description")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("Status")
                        .HasColumnName("Status")
                        .HasMaxLength(8)
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("SupplierServices");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Users.Rol", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnName("Description")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<bool>("Status")
                        .HasColumnName("Status")
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("Roles");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Users.RolePermission", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("Description");

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnName("Name")
                        .HasMaxLength(80)
                        .IsUnicode(false);

                    b.Property<string>("PermissionOption")
                        .IsRequired()
                        .HasColumnName("PermissionOption")
                        .HasMaxLength(150)
                        .IsUnicode(false);

                    b.Property<string>("RolId")
                        .IsRequired()
                        .HasColumnName("RolId")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<bool>("Status")
                        .HasColumnName("Status")
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.HasKey("Id");

                    b.ToTable("RolePermissions");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Users.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnName("FirstName")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasColumnName("LastName")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<string>("Password")
                        .HasColumnName("Password")
                        .HasMaxLength(200)
                        .IsUnicode(false);

                    b.Property<string>("PasswordHash")
                        .IsRequired()
                        .HasColumnName("PasswordHash")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<string>("PhoneNumber")
                        .HasColumnName("PhoneNumber")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<string>("SecondName")
                        .HasColumnName("SecondName")
                        .HasMaxLength(50)
                        .IsUnicode(true);

                    b.Property<bool>("Status")
                        .HasColumnName("Status")
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnName("UserId")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("email")
                        .HasColumnName("Email")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.HasKey("Id");

                    b.ToTable("Users");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Users.UserRol", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("Id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreationDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("CreationDate")
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("NOW()");

                    b.Property<string>("CrudOperation")
                        .IsRequired()
                        .HasColumnName("CrudOperation")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<string>("ModifiedBy")
                        .IsRequired()
                        .HasColumnName("ModifiedBy")
                        .HasMaxLength(20)
                        .IsUnicode(false);

                    b.Property<int>("RolId")
                        .HasColumnName("RolId")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.Property<DateTime>("RowVersion")
                        .IsConcurrencyToken()
                        .ValueGeneratedOnAddOrUpdate()
                        .HasColumnName("RowVersion")
                        .IsFixedLength(true)
                        .HasMaxLength(8);

                    b.Property<bool>("Status")
                        .HasColumnName("Status")
                        .IsUnicode(false);

                    b.Property<DateTime>("TransactionDate")
                        .HasColumnName("TransactionDate");

                    b.Property<string>("TransactionType")
                        .IsRequired()
                        .HasColumnName("TransactionType")
                        .HasMaxLength(100)
                        .IsUnicode(false);

                    b.Property<Guid>("TransactionUId")
                        .HasColumnName("TransactionUId");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnName("UserId")
                        .HasMaxLength(50)
                        .IsUnicode(false);

                    b.HasKey("Id");

                    b.ToTable("UserRoles");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Clients.Client", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.ClientsLevel.ClientLevel", "ClientLevel")
                        .WithMany("Clients")
                        .HasForeignKey("ClientCategoryId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Origins.Origin", "CoDebtorNationality")
                        .WithMany("CoDebtorClients")
                        .HasForeignKey("CoDebtorNationalityId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.ContactTypes.ContactType", "ContactType")
                        .WithMany("Clients")
                        .HasForeignKey("ContactTypeId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.FinancialInstitutions.FinancialInstitution", "FinancialInstitution")
                        .WithMany("Clients")
                        .HasForeignKey("FinancialInstitutionId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Origins.Origin", "Nationality")
                        .WithMany("Clients")
                        .HasForeignKey("NationalityId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Nationalities.Nationality")
                        .WithMany("Clients")
                        .HasForeignKey("NationalityId1");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Projects.Project", "Project")
                        .WithMany("Clients")
                        .HasForeignKey("ProjectId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Users.User", "SalesAdvisor")
                        .WithMany("Clients")
                        .HasForeignKey("SalesAdvisorId");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.ClientsTracking.ClientTracking", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.Clients.Client", "Client")
                        .WithMany("ClientsTracking")
                        .HasForeignKey("ClientId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.NegotiationPhases.NegotiationPhase", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.Negotiations.Negotiation", "Negotiation")
                        .WithMany("NegotiationPhases")
                        .HasForeignKey("NegotiationId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Nextbit.JadeRealState.Services.Features.SupplierServices.ServiceProcess", "ServiceProcess")
                        .WithMany("NegotiationPhases")
                        .HasForeignKey("ProcessId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Negotiations.Negotiation", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.Clients.Client", "Client")
                        .WithMany("Negotiations")
                        .HasForeignKey("ClientId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Origins.Origin", "CoDebtorNationality")
                        .WithMany("Negotiations")
                        .HasForeignKey("CoDebtorNationalityId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.ContactTypes.ContactType", "ContactType")
                        .WithMany("Negotiations")
                        .HasForeignKey("ContactTypeId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.FinancialInstitutions.FinancialInstitution", "FinancialInstitution")
                        .WithMany("Negotiations")
                        .HasForeignKey("FinancialInstitutionId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Projects.Project", "Project")
                        .WithMany("Negotiations")
                        .HasForeignKey("ProjectId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Users.User", "SalesAdvisor")
                        .WithMany("Negotiations")
                        .HasForeignKey("SalesAdvisorId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.SupplierServices.SupplierService", "SupplierService")
                        .WithMany("Negotiations")
                        .HasForeignKey("ServiceId");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Prospects.Prospect", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.ContactTypes.ContactType", "ContactTypes")
                        .WithMany("Prospects")
                        .HasForeignKey("ContactType")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Projects.Project", "Project")
                        .WithMany("Prospects")
                        .HasForeignKey("ProjectId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Users.User", "SalesAdvisor")
                        .WithMany("Prospects")
                        .HasForeignKey("SalesAdvisorId");
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Reservas.Reserve", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.Clients.Client")
                        .WithMany("Reserves")
                        .HasForeignKey("ClientId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Negotiations.Negotiation", "Negotiation")
                        .WithOne("Reserve")
                        .HasForeignKey("Nextbit.JadeRealState.Services.Features.Reservas.Reserve", "NegotiationId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Projects.Project")
                        .WithMany("Reserves")
                        .HasForeignKey("ProjectId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.Users.User", "SalesAdvisor")
                        .WithMany()
                        .HasForeignKey("SalesAdvisorId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.Reservas.ReserveDetail", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.Reservas.Reserve", "Reserve")
                        .WithMany("Detalles")
                        .HasForeignKey("ReserveId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.ServicesTracking.ServiceTracking", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.Clients.Client", "Client")
                        .WithMany("ServiceTrackings")
                        .HasForeignKey("ClientId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Nextbit.JadeRealState.Services.Features.SupplierServices.SupplierService", "SupplierService")
                        .WithMany("ServiceTrackings")
                        .HasForeignKey("SupplierServiceId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.ServicesTracking.ServiceTrackingItem", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.Users.User", "SalesAdvisor")
                        .WithMany()
                        .HasForeignKey("SalesAdvisorId");

                    b.HasOne("Nextbit.JadeRealState.Services.Features.ServicesTracking.ServiceTracking", "ServiceTracking")
                        .WithMany("ServiceTrackingItems")
                        .HasForeignKey("ServiceTrackingId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Nextbit.JadeRealState.Services.Features.SupplierServices.ServiceProcess", b =>
                {
                    b.HasOne("Nextbit.JadeRealState.Services.Features.SupplierServices.SupplierService", "SupplierService")
                        .WithMany("ServiceProcesses")
                        .HasForeignKey("SupplierServiceId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
